Loading...
Searching...
No Matches
XrdCksCalczcrc32.cc File Reference
`#include "XrdCks/XrdCksCalc.hh"`
`#include "XrdSys/XrdSysError.hh"`
`#include "XrdVersion.hh"`
`#include <cstdint>`
`#include <zlib.h>`
Include dependency graph for XrdCksCalczcrc32.cc:

Go to the source code of this file.

## Classes

class | XrdCksCalczcrc32

## Macros

#define | __XRDCKSCALCZCRC32_HH__

## Functions

XrdCksCalc * | XrdCksCalcInit (XrdSysError *eDest, const char *csName, const char *cFN, const char *Parms)
| XrdVERSIONINFO (XrdCksCalcInit, zcrc32)

## Macro Definition Documentation

## __XRDCKSCALCZCRC32_HH__

#define __XRDCKSCALCZCRC32_HH__

Definition at line 30 of file XrdCksCalczcrc32.cc.

## Function Documentation

## XrdCksCalcInit()

XrdCksCalc * XrdCksCalcInit | ( | XrdSysError * | eDest,
|  | const char * | csName,
|  | const char * | cFN,
|  | const char * | Parms )

Definition at line 107 of file XrdCksCalczcrc32.cc.

{
return new XrdCksCalczcrc32();
}
XrdCksCalczcrc32
Definition XrdCksCalczcrc32.cc:42

References eDest.

Referenced by XrdVERSIONINFO().

Here is the caller graph for this function:

## XrdVERSIONINFO()

XrdVERSIONINFO | ( | XrdCksCalcInit | ,
|  | zcrc32 | )

References XrdCksCalcInit().

Here is the call graph for this function: